Package org.eclipse.jface.dialogs

# Class AnimatorFactory

java.lang.Object
org.eclipse.jface.dialogs.AnimatorFactory

@Deprecated public class AnimatorFactory extends Object
Deprecated.
as of 3.3, this class is no longer used.
Factory for control animators used by JFace to animate the display of an SWT Control. Through the use of the method `Policy.setAnimatorFactory(AnimatorFactory)` a new type of animator factory can be plugged into JFace.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`AnimatorFactory()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`ControlAnimator`
`createAnimator(Control control)`
Deprecated.
Creates a new ControlAnimator for use by JFace in animating the display of an SWT Control.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnimatorFactory

public AnimatorFactory()
Deprecated.

## Method Details

### createAnimator

public ControlAnimator createAnimator(Control control)
Deprecated.
Creates a new ControlAnimator for use by JFace in animating the display of an SWT Control.

Subclasses should override this method.

Parameters:
  `control` - the SWT Control to de displayed
Returns:
  the ControlAnimator.
Since:
  3.2